Bug 6276 - apt-get remove claims about multiple candidates when there is one present
: apt-get remove claims about multiple candidates when there is one present
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/apt)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-17 19:34 by
Modified: 2005-09-04 23:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-17 19:34:21
Just look:
-------------------------------
# apt-get remove kernel-image-std-smp
Reading Package Lists... Done
Building Dependency Tree... Done
Package kernel-image-std-smp is a virtual package provided by:
  kernel-image-std-smp#2.4.26-alt9 2.4.26-alt9 [Installed]
  kernel-image-std-smp#2.4.26-alt6 2.4.26-alt6
You should explicitly select one to install.
E: Package kernel-image-std-smp is a virtual package with multiple good providers.
-------------------------------

Conclusion:
apt knows that there is only one package installed, but claims it can not remove
it because there are multiple of them.
------- Comment #1 From 2005-03-18 12:41:57 -------
In better case ;) apt should say "You should explicitly select one to remove."
at least :-)

It can not found the right direction?
------- Comment #2 From 2005-05-18 20:37:52 -------
Fixed in 0.5.15cnc6-alt11.